/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package application;

import java.text.Collator;
import java.text.DateFormat;
import java.text.NumberFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.Locale;
import java.util.ResourceBundle;
import java.util.TimeZone;

/**
 *
 * @author bar
 */
public class Application {
    public static void main(String[] args){
        
        Locale loc = Locale.getDefault();
   /*     Locale en = new Locale("en","US");
        Locale cn = new Locale("cn","CN");*/
        double amount = 1234.50;
        
        ResourceBundle res=ResourceBundle.getBundle("messages");
        
        NumberFormat czFormater = NumberFormat.getCurrencyInstance(loc);
        
        System.out.println(res.getString("numero")+": "+czFormater.format(amount));
        
        TimeZone met = TimeZone.getTimeZone("MET");
        TimeZone gmt = TimeZone.getTimeZone("GMT");
        TimeZone cnt = TimeZone.getTimeZone("GMT+9");
        
        DateFormat czDateFormater = 
                DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.FULL, loc);
        czDateFormater.setTimeZone(met);
        
        DateFormat enDateFormater = 
                DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.FULL, loc);
        enDateFormater.setTimeZone(gmt);
        
        DateFormat cnDateFormater = 
                DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.FULL, loc);
        cnDateFormater.setTimeZone(cnt);
        Date now=new Date();
        
        System.out.println(res.getString("cas")+": "+czDateFormater.format(now));
        System.out.println(res.getString("cas")+": "+enDateFormater.format(now));
        System.out.println(res.getString("cas")+": "+cnDateFormater.format(now));
        
        String[] names = {"Zaorálek Václav", "Hrubý Jan", "Chlupatý Petr", "Chlupaty Petr", "Absolon Karel"};
    
        Collator col = Collator.getInstance(loc);
        
        Arrays.sort(names,col);
        
        for(String name:names){
            System.out.println(name);
        }
        
        
        
        
        System.out.println(Locale.getDefault());
        
        System.out.println(res.getString("pozdrav"));
        
    
    }
}
